using System;

namespace TRsFuego
{
    public class EffectPluginConfigToken : PaintDotNet.Effects.EffectConfigToken
    {

        public bool Save
        {
            get; 
            set; 
        }
        public int Turbulence 
        {
            get;
            set;
        }
        public int Wind
        {
            get;
            set;
        }
        public int Thickness
        {
            get;
            set;
        }
        public int Shape
        {
            get;
            set;
        }


        public EffectPluginConfigToken(bool save,int turbulence,int wind ,int thickness, int shape)
            : base()
        {
            this.Save = save;
            this.Turbulence = turbulence;
            this.Wind = wind;
            this.Thickness = thickness;
            this.Shape = shape;
        }

        protected EffectPluginConfigToken(EffectPluginConfigToken copyMe)
            : base(copyMe)
        {
            this.Save = copyMe.Save;
            this.Turbulence = copyMe.Turbulence;
            this.Thickness = copyMe.Thickness;
            this.Wind = copyMe.Wind;
            this.Shape = copyMe.Shape;
        }

        public override object Clone()
        {
            return new EffectPluginConfigToken(this);
        }
    }
}